package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Deprecated
@Table("hmc_partition_memory")
public class HmcPartitionMemory extends GenericEntity {
	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("partition_id")
	private Long partitionId;
	@Column("min_memory")
	private String minMemory;
	@Column("curr_memory")
	private String currMemory;
	@Column("max_memory")
	private String maxMemory;
	@Column("min_page_count")
	private String minPageCount;
	@Column("curr_page_count")
	private String currPageCount;
	@Column("max_page_count")
	private String maxPageCount;
	@Column("bsr_arrays")
	private String bsrArrays;

	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getPartitionId() {
		return partitionId;
	}
	public void setPartitionId(Long partitionId) {
		this.partitionId = partitionId;
	}
	public String getMinMemory() {
		return minMemory;
	}
	public void setMinMemory(String minMemory) {
		this.minMemory = minMemory;
	}
	public String getCurrMemory() {
		return currMemory;
	}
	public void setCurrMemory(String currMemory) {
		this.currMemory = currMemory;
	}
	public String getMaxMemory() {
		return maxMemory;
	}
	public void setMaxMemory(String maxMemory) {
		this.maxMemory = maxMemory;
	}
	public String getMinPageCount() {
		return minPageCount;
	}
	public void setMinPageCount(String minPageCount) {
		this.minPageCount = minPageCount;
	}
	public String getCurrPageCount() {
		return currPageCount;
	}
	public void setCurrPageCount(String currPageCount) {
		this.currPageCount = currPageCount;
	}
	public String getMaxPageCount() {
		return maxPageCount;
	}
	public void setMaxPageCount(String maxPageCount) {
		this.maxPageCount = maxPageCount;
	}
	public String getBsrArrays() {
		return bsrArrays;
	}
	public void setBsrArrays(String bsrArrays) {
		this.bsrArrays = bsrArrays;
	}
}
